// SVAEAccessors.h
//
// 7Edit 3.1d1. Original version by Jon Lansdell and Nigel Humphreys.
// 3.1 updates by Greg Sutton.
// Apple Computer Inc 1995, all rights reserved.

#ifndef __SVAEACCESSORS__
#define __SVAEACCESSORS__

#include "SVToken.h"

#include <TextEdit.h>

OSErr			InstallAccessors(void);

pascal OSErr	WindowFromNullAccessor(DescType		wantClass,
										const AEDesc	*container,
										DescType  		containerClass,
										DescType		form, 
										const AEDesc	*selectionData,
										AEDesc			*value,
										long			theRefCon);

pascal OSErr	ApplicationFromNullAccessor(DescType		wantClass,
											const AEDesc	*container,
											DescType		containerClass,
											DescType		form, 
											const AEDesc	*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	TextElemFromTextAccessor(DescType			wantClass,
											AEDesc			*container,
											DescType		containerClass,
											DescType		form,
											AEDesc			*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	PropertyFromTextAccessor(DescType			wantClass,
											const AEDesc	*container,
											DescType		containerClass,
											DescType		form, 
											const AEDesc	*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	PropertyFromWndwAccessor(DescType			wantClass,
											AEDesc			*container,
											DescType		containerClass,
											DescType		form, 
											AEDesc			*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	PropertyFromNullAccessor(DescType			wantClass,
											AEDesc			*container,
											DescType		containerClass,
											DescType		form, 
											AEDesc			*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	PropertyFromListAccessor(DescType			wantClass,
											AEDesc			*container,
											DescType		containerClass,
											DescType		form, 
											AEDesc			*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	PropertyFromApplAccessor(DescType			wantClass,
											const AEDesc	*container,
											DescType		containerClass,
											DescType		form, 
											const AEDesc	*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	MenuFromNullAccessor(DescType			wantClass,
										const AEDesc	*container,
										DescType		containerClass,
										DescType		form, 
										const AEDesc	*selectionData,
										AEDesc			*value,
										long			theRefCon);

pascal OSErr	PropertyFromWinPropertyAccessor(DescType		wantClass,
												const AEDesc	*container,
												DescType		containerClass,
												DescType		form, 
												const AEDesc	*selectionData,
												AEDesc			*value,
												long			theRefCon);

pascal OSErr	PropertyFromMenuItemAccessor(DescType			wantClass,
												const AEDesc	*container,
												DescType		containerClass,
												DescType		form, 
												const AEDesc	*selectionData,
												AEDesc			*value,
												long			theRefCon);

pascal OSErr	MenuItemFromMenuAccessor(DescType			wantClass,
											const AEDesc	*container,
											DescType		containerClass,
											DescType		form, 
											const AEDesc	*selectionData,
											AEDesc			*value,
											long			theRefCon);

pascal OSErr	PropertyFromMenuAccessor(DescType			wantClass,
											const AEDesc	*container,
											DescType		containerClass,
											DescType		form, 
											const AEDesc	*selectionData,
											AEDesc			*value,
											long			theRefCon);

OSErr		WindowFormAbsolutePosition(const AEDesc	*selectionData, AEDesc* result);
OSErr		WindowFormName(const AEDesc	*selectionData, AEDesc* result);

OSErr		TextFormAbsolutePosition(TextToken* containerToken, AEDesc* selectionData,
													DescType wantClass, AEDesc* result);
OSErr		TextFormRange(TextToken* containerToken, AEDesc* selectionData,
													DescType wantClass, AEDesc* result);
OSErr		TextFormRelativePosition(TextToken* containerToken, AEDesc* selectionData,
													DescType wantClass, AEDesc* result);

OSErr		TokenListToPropertyList(AEDesc* tokenList, DescType aProperty, AEDesc* result);

#endif
