// SVEditUtils.h
//
// 7Edit 3.1d1. Original version by Jon Lansdell and Nigel Humphreys.
// 3.1 updates by Greg Sutton.
// Apple Computer Inc 1995, all rights reserved.

#ifndef __SVEDITUTILS__
#define __SVEDITUTILS__

#include <Types.h>
#include <Quickdraw.h>
#include <Packages.h>
#include <GestaltEqu.h>
#include <Editions.h>
#include <Printing.h>

#ifndef __SVEDITGLOBALS__
#include "SVEditGlobals.h"
#endif

pascal Boolean GestaltAvailable();

pascal Boolean CheckEnvironment();

pascal void ShowError(Str255 theError,
                      long   theErrorCode);

pascal Boolean FeatureIsImplemented(OSType theFeature,
                                    short  theTestBit);

pascal void GetTempFileName(DPtr   aDoc,
                            Str255 newString);

pascal Boolean Ours(WindowPtr aWindow);

pascal void SetShortMenus();

pascal void SetLongMenus();

pascal void SetStyleMenu(DPtr theDoc);

pascal void SetFontMenu(DPtr theDoc);

pascal void SetEditMenu(DPtr theDoc);

pascal void AdornDefaultButton(DialogPtr theDialog, short theItem);

pascal void DrawDefaultOutline(DialogPtr theDialog, short theItem);

pascal void RetrieveText(DialogPtr aDialog,
											   short     anItem,
											   Str255    aString);

pascal void SetText( DialogPtr aDialog,
										 short     itemNo,
										 Str255    theString);

pascal void GetRectOfDialogItem(DialogPtr theDialog, short theItem, Rect *theRect);

/*changed for 7.0 and Outline Fonts*/

pascal void SetSizeMenu(DPtr theDoc);

pascal long LesserOf(long A, long B);

pascal long GreaterOf(long A, long B);
		
pascal Boolean DoPageSetup(DPtr theDoc);

pascal Boolean CtrlKeyPressed(const EventRecord *theEvent);

pascal Boolean OptionKeyPressed(const EventRecord *theEvent);

pascal short 		NumToolboxTraps(void);
pascal TrapType GetTrapType(short theTrap);
pascal Boolean	TrapAvailable(short theTrap);

#endif
