////////////////////////////////////////////////////////////////////////////////
// Copyright  1992 Apple Computer, Inc. All rights reserved.
////////////////////////////////////////////////////////////////////////////////

/* Japanese AEUserTerminology.h															*/
/* Conforms with Winter 1992 Apple Event Registry of December 19, 1991.			*/

#include "Types.r"
#include "AEUserTermTypes.r"
#include "AppleEvents.r"
#include "AEObjects.r"
#include "AERegistry.r"

resource 'aeut' ((1 << 8) | 11, "Standard Event Suites for Japanese", sysheap) {
	0x01,
	0x00,
	langJapanese,
	smJapanese,
	{	/* array Suites: 6 elements */
		/* [1] */
		"K{pW",
		"ׂẴAvP[VŃT|[gCxg",
		kAERequiredSuite,
		1,
		1,
		{	/* array Events: 3 elements */
			/* [1] */
			"J",
			"w肳ꂽJ",
			kCoreEventClass,
			kAEOpenDocuments,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeAlias,
			"Jׂ̃Xg",
			directParamRequired,
			listOfItems,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [2] */
			"",
			"w肳ꂽ",
			kCoreEventClass,
			kAEPrintDocuments,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeAlias,
			"ׂ̃Xg",
			directParamRequired,
			listOfItems,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [3] */
			"I",
			"AvP[VI",
			kCoreEventClass,
			kAEQuitApplication,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			noParams,
			"_CNgp[^͕KvȂ",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [1] */
			"Jn",
			"AvP[Vsn߂鎞ɑCxg",
			kCoreEventClass,
			kAEOpenApplication,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			noParams,
			"_CNgp[^͕KvȂ",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
		},
		{	/* array Classes: 0 elements */
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		},
		/* [2] */
		"WpW",			/* Core Suite */
		"AvP[V̂߂̈ʂ̗p",
		kAECoreSuite,
		1,
		1,
		{	/* array Events: 16 elements */
			/* [7] */
			"NX",
			"IuWFNgNX̏𓾂",
			kAECoreSuite,
			kAEGetClassInfo,
			typeClassInfo,
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			nonVerbEvent, reserved, reserved, reserved,
			typeType,
			"񂪕KvȃIuWFNgNX",
			directParamOptional,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"@",
				keyAEWritingCode,
				typeIntlWritingCode,
				"Ԃׂ@R[h",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				labeledParam, reserved, reserved, reserved,
			},
			/* [2] */
			"",
			"IuWFNg",
			kAECoreSuite,
			kAEClose,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"ׂIuWFNg",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 2 elements */
				/* [1] */
				"ۑ",
				keyAESaveOptions,
				enumSaveOptions,
				"OɕύXۑ邩ǂ",
				optional,
				singleItem,
				enumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				labeledParam, reserved, reserved, reserved,
				/* [2] */
				"ɕۑ",
				keyAEFile,
				typeAlias,
				"ύXۑt@C",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				prepositionParam, reserved, reserved, reserved,
			},
			/* [3] */
			"",
			"IuWFNg̒̂NX̗vf̐",
			kAECoreSuite,
			kAECountElements,
			typeLongInteger,
			"vf̐",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"vf̐𐔂ׂIuWFNg",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"ׂĂ",
				keyAEObjectClass,
				typeType,
				"ׂvf̃NX",
				required,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				prepositionParam, reserved, reserved, reserved,
			},
			/* [9] */
			"傫",
			"IuWFNg̃oCgPʂł̑傫",
			kAECoreSuite,
			kAEGetDataSize,
			typeLongInteger,
			"IuWFNg̑傫",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			nonVerbEvent, reserved, reserved, reserved,
			typeObjectSpecifier,
			"傫vׂIuWFNg",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"Ƃ",
				keyAERequestedType,
				typeType,
				"傫vƂ̃f[^^",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				prepositionParam, reserved, reserved, reserved,
			},
			/* [5] */
			"폜",
			"IuWFNg̗vf폜",
			kAECoreSuite,
			kAEDelete,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"폜ׂvf",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [1] */
			"",
			"IuWFNg𕡐",
			kAECoreSuite,
			kAEClone,
			typeObjectSpecifier,
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"ׂIuWFNg",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 element */
				/* [1] */
				"",
				keyAEInsertHere,
				typeInsertionLoc,
				"IuWFNguꏊ",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				prepositionParam, reserved, reserved, reserved,
			},
			/* [10] */
			"Cxg",
			"CxgɊւ𓾂",
			kAECoreSuite,
			kAEGetEventInfo,
			typeEventInfo,
			"",
			replyRequired,
			listOfItems,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			nonVerbEvent, reserved, reserved, reserved,
			typeType,
			"񂪕KvȃCxgNX",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"@",
				keyAEWritingCode,
				typeIntlWritingCode,
				"\\킷@R[h",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				labeledParam, reserved, reserved, reserved,
			},
			/* [6] */
			"݂",
			"IuWFNg݂邩ǂׂ",
			kAECoreSuite,
			kAEDoObjectsExist,
			typeBoolean,
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			nonVerbEvent, reserved, reserved, reserved,
			typeObjectSpecifier,
			"݂𒲂ׂׂIuWFNg",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [8] */
			"߂",
			"IuWFNg̃f[^o",
			kAECoreSuite,
			kAEGetData,
			typeWildCard,
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"f[^oIuWFNg",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"Ƃ",
				keyAERequestedType,
				typeType,
				"IuWFNg̃f[^ԂƂ̃f[^^",
				optional,
				listOfItems,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				prepositionParam, reserved, reserved, reserved,
			},
			/* [4] */
			"",
			"VIuWFNg",
			kAECoreSuite,
			kAECreateElement,
			typeObjectSpecifier,
			"ꂽIuWFNg",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			noParams,
			"",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 4 elements */
				/* [1] */
				"V",
				keyAEObjectClass,
				typeType,
				"VIuWFNg̃NX",
				required,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				prepositionParam, reserved, reserved, reserved,
				/* [2] */
				"",
				keyAEInsertHere,
				typeInsertionLoc,
				"VIuWFNguꏊ",
				required,		/*** Didn't we used to have a default for this? ***/
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				prepositionParam, reserved, reserved, reserved,
				/* [3] */
				"l",
				keyAEData,
				typeWildCard,
				"VIuWFNg̏l",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				labeledParam, reserved, reserved, reserved,
				/* [4] */
				"l",
				keyAEPropData,
				typeAERecord,
				"VIuWFNg̑l",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				labeledParam, reserved, reserved, reserved,
			},
			/* [11] */
			"ړ",
			"IuWFNgړ",
			kAECoreSuite,
			kAEMove,
			typeObjectSpecifier,
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"ړׂIuWFNg",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 element */
				/* [1] */
				"",
				keyAEInsertHere,
				typeInsertionLoc,
				"IuWFNg̈ړ̏ꏊ",
				required,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				prepositionParam, reserved, reserved, reserved,
			},
			/* [12] */
			"J",
			"IuWFNgJ",
			kCoreEventClass,
			kAEOpen,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"JׂIuWFNg",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [13] */
			"",
			"IuWFNg",
			kCoreEventClass,
			kAEPrint,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"ׂIuWFNg",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [14] */
			"I",
			"AvP[VI",
			kCoreEventClass,
			kAEQuitApplication,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			noParams,
			"",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
				/* [1] */
				"ۑ",
				keyAESaveOptions,
				enumSaveOptions,
				"JĂ镶̕ύXۑ邩ǂ",
				optional,
				singleItem,
				enumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				labeledParam, reserved, reserved, reserved,
			},
			/* [15] */	/* temporarily moved here. */
			"ۑ",
			"IuWFNgۑ",
			kAECoreSuite,
			kAESave,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"ۑׂIuWFNg",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 2 elements */
				/* [1] */
				"",
				keyAEFile,
				typeAlias,
				"IuWFNgۑt@C",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				prepositionParam, reserved, reserved, reserved,
				/* [2] */
				"Ƃ",
				keyAEFileType,
				typeType,
				"f[^ۑ镶̃t@C^Cv",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				prepositionParam, reserved, reserved, reserved,
			},
			/* [16] */
			"",
			"IuWFNg̃f[^",
			kAECoreSuite,
			kAESetData,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"ύXIuWFNg",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 2 elements */
				/* [1] */
				"",
				keyAEData,
				typeWildCard,
				"Vf[^",
				required,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				labeledParam, reserved, reserved, reserved,
			},
			/* [17] */
			"XB[g",
			"CxgXB[g̏𓾂",
			kAECoreSuite,
			kAEGetSuiteInfo,
			typeSuiteInfo,
			"XB[g܂ރR[h",
			replyRequired,
			listOfItems,
			notEnumerated,
			reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			nonVerbEvent, reserved, reserved, reserved,
			typeType,
			"񂪕KvȃXB[g",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"@",
				keyAEWritingCode,
				typeIntlWritingCode,
				"\\ׂ@R[h",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				labeledParam, reserved, reserved, reserved,
			},
		},
		{	/* array Classes: 7 elements */
			/* [1] */
			"AvP[V",
			cApplication,
			"AvP[VvO",
			{	/* array Properties: 9 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"Nbv{[h",
				pClipboard,
				typeWildCard,
				"Nbv{[h",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"ԎO",
				pIsFrontProcess,
				cBoolean,
				"ԎOǂ",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"O",
				pName,
				cIntlText,
				"O",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"I͈",
				pSelection,
				cSelection,
				"݂̑I͈",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"o[W",
				pVersion,
				cLongInteger,
				"AvP[Ṽo[W",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cDocument,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cWindow,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
			},
			/* [2] */
			"",
			cChar,
			"A character",
			{	/* array Properties: 9 elements */
				/* [] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				/* [] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				/* [3] */
				"J[",
				pColor,
				cRGBColor,
				"IuWFNg̃J[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"tHg",
				pFont,
				cText,
				"tHg",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"TCY",
				pPointSize,
				cFixed,
				"|CgTCY",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"@R[h",
				pScriptTag,
				cIntlWritingCode,
				"XNvgVXeR[hƌR[h",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"X^C",
				pTextStyles,
				cTextStyles,
				"eLXg̃X^C",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"lX^C",
				pUniformStyles,
				cTextStyles,
				"eLXg̃X^C",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				}
			},
			/* [3] */
			"",
			cDocument,
			"A document",
			{	/* array Properties: 5 elements */
				/* [] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ύX",
				pIsModified,
				cBoolean,
				"ɕۑĈȗύXǂ",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"O",
				pName,
				cIntlText,
				"O",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"I͈",
				pSelection,
				cSelection,
				"݂̑I͈",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cFile,
				{	/* array KeyForms: 2 element */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
			},
			/* [4] */
			"t@C",
			cFile,
			"A file",
			{	/* array Properties: 5 elements */
				/* [] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"Xe[Vi",
				pIsStationeryPad,
				cBoolean,
				"Xe[Vit@Cǂ",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"O",
				pName,
				cIntlText,
				"O",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
/* this class is only here so we can define the contents property properly */
/* I put the  in it so the name will not conflict in scripts. */
			/* [5] */
			"I\\IuWFNg",
			cSelection,
			"݂̑I͈",
			{	/* array Properties: 1 elements */
				/* [] */
				"e",
				pContents,
				cType,
				"I͈͂̓e",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 1 elements */
			},
			/* [6] */
			"eLXg",
			cText,
			"eLXg",
			{	/* array Properties: 9 elements */
				/* [1] */
				"NXE",
				kAESpecialClassProperties,
				cType,
				"NXE",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural,
				/* [] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"J[",
				pColor,
				cRGBColor,
				"ŏ̃̕J[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"tHg",
				pFont,
				cText,
				"ŏ̃̕tHg",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"TCY",
				pPointSize,
				cFixed,
				"ŏ̃̕|CgTCY",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"@R[h",
				pScriptTag,
				cIntlWritingCode,
				"XNvgVXeR[hƌR[h",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"X^C",
				pTextStyles,
				cTextStyles,
				"ŏ̃̕eLXgX^C",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"lX^C",
				pUniformStyles,
				cTextStyles,
				"eLXgŜňlȃeLXgX^C",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				}
			},
			/* [2.5] */
			"eLXgX^C",
			cTextStyles,
			"On and Off styles of text run",
			{	/* array Properties: 2 elements */
				/* [1] */
				"LX^C",
				keyAEOnStyles,
				enumStyle,
				"LȃeLXgX^C",
				reserved,
				listOfItems,
				enumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"X^C",
				keyAEOffStyles,
				enumStyle,
				"ȃeLXgX^C",
				reserved,
				listOfItems,
				enumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
			/* [7] */
			"EChE",
			cWindow,
			"EBhEƓ",
			{	/* array Properties: 0 elements */
			},
			{	/* array Elements: 0 elements */
			},
			/* [7] */
			"EBhE",
			cWindow,
			"EBhE",
			{	/* array Properties: 15 elements */
				/* [] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"E",
				pBounds,
				cQDRectangle,
				"EBhE̋E",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"N[Y\\",
				pHasCloseBox,
				cBoolean,
				"N[Y{bNX邩ǂ",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"^Cgo[t",
				pHasTitleBar,
				cBoolean,
				"^Cgo[邩ǂ",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"ԍ",
				pIndex,
				cLongInteger,
				"EBhE̔ԍ",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"t[eBO",
				pIsFloating,
				cBoolean,
				"t[eBOEBhEǂ",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"[_",
				pIsModal,
				cBoolean,
				"EBhE[_ǂ",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"傫",
				pIsResizable,
				cBoolean,
				"EBhE傫ςǂ",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [11] */
				"g\\",
				pIsZoomable,
				cBoolean,
				"EBhEg\\ǂ",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [12] */
				"g",
				pIsZoomed,
				cBoolean,
				"EBhEg傳Ă邩ǂ",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"O",
				pName,
				cIntlText,
				"EBhẼ^Cg",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [14] */
				"I͈",
				pSelection,
				cSelection,
				"݂̑I͈",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [15] */
				"",
				pVisible,
				cBoolean,
				"EBhEʏɌ邩ǂ",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cDocument,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			/* [7] */
			"}ʒu",
			cInsertionPoint,
			"J[\\ʒutꏊ",
			{	/* array Properties: 15 elements */
				/* [] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 1 elements */
			},
		},
		{	/* array ComparisonOps: 8 elements */
			/* [1] */
			"n܂",
			kAEBeginsWith,
			"n܂",
			/* [2] */
			"܂",
			kAEContains,
			"܂",
			/* [3] */
			"I",
			kAEEndsWith,
			"I",
			/* [4] */
			"=",
			kAEEquals,
			"",
			/* [5] */
			">",
			kAEGreaterThan,
			"傫",
			/* [6] */
			">=",
			kAEGreaterThanEquals,
			"傫",
			/* [7] */
			"<",
			kAELessThan,
			"",
			/* [8] */
			"<=",
			kAELessThanEquals,
			"",
		},
		{	/* array Enumerations: 4 elements */
			/* [1] */
			enumSaveOptions,
			{	/* array Enumerators: 3 elements */
				/* [1] */
				"",
				kAEYes,
				"IuWFNgۑ",
				/* [2] */
				"Ȃ",
				kAENo ,
				"IuWFNgۑȂ",
				/* [3] */
				"₢킹",
				kAEAsk ,
				"ۑ邩ǂ₢킹",
			},
			/* [3] */	
			enumKeyForm,
			{	/* array Enumerators: 3 elements */
				/* [1] */
				"΂߂",
				formAbsolutePosition,
				"ԍɂQƂ̂߂̃L[`",
				/* [2] */
				"ƂO",
				formName,
				"OɂQƂ̂߂̃L[`",
				/* [3] */
				"ƂID",
				formUniqueID,
				"ʎqɂQƂ̂߂̃L[`"
			},
			enumStyle,
			{	/* array Enumerators: 4 elements */
				/* [1] */
				"W",
				kAEPlain,
				"W",
				/* [2] */
				"{[h",
				kAEBold,
				"{[h",
				/* [3] */
				"C^bN",
				kAEItalic,
				"C^bN",
				/* [4] */
				"AEgC",
				kAEOutline,
				"AEgC",
				/* [5] */
				"VhE",
				kAEShadow,
				"VhE",
				/* [6] */
				"A_[C",
				kAEUnderline,
				"A_[C",
				/* [7] */
				"t",
				kAESuperscript,
				"t",
				/* [8] */
				"t",
				kAESubscript,
				"t",
				/* [9] */
				"XgCNX[",
				kAEStrikethrough,
				"XgCNX[",
				/* [10] */
				"X[LbvX",
				kAESmallCaps,
				"X[LbvX",
				/* [11] */
				"S啶",
				kAEAllCaps ,
				"S啶",
				/* [12] */
				"S",
				kAELowercase,
				"S",
				/* [13] */
				"RfXg",
				kAECondensed,
				"RfXg",
				/* [14] */
				"GNXph",
				kAEExpanded,
				"GNXph",
				/* [15] */
				"B",
				kAEHidden,
				"B",
			},
		},
		/* [3] */
		"eLXgpW",
		"eLXĝ߂̊{IȃNX",
		kAETextSuite,
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 6 elements */
			/* [2] */
			"",
			cChar,
			"",
			{	/* array Properties: 9 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"J[",
				pColor,
				cRGBColor,
				"IuWFNg̃J[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"tHg",
				pFont,
				cText,
				"tHg",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"TCY",
				pPointSize,
				cFixed,
				"|CgTCY",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"@R[h",
				pScriptTag,
				cIntlWritingCode,
				"XNvgVXeR[hƌR[h",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"X^C",
				pTextStyles,
				cTextStyles,
				"eLXg̃X^C",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"lX^C",
				pUniformStyles,
				cTextStyles,
				"eLXg̃X^C",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition,
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			/* [2] */
			"s",
			cLine,
			"eLXg̍s",
			{	/* array Properties: 10 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"J[",
				pColor,
				cRGBColor,
				"ŏ̃̕J[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"tHg",
				pFont,
				cText,
				"ŏ̃̕tHg",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"",
				pJustification,
				enumJustification,
				"eLXg̑",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"TCY",
				pPointSize,
				cFixed,
				"ŏ̃̕|CgTCY",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"@R[h",
				pScriptTag,
				cIntlWritingCode,
				"ŏ̃̕XNvgVXeR[hƌR[h",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"X^C",
				pTextStyles,
				cTextStyles,
				"ŏ̃̕eLXgX^C",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"lX^C",
				pUniformStyles,
				cTextStyles,
				"The text styles that are uniform throughout the line",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			/* [3] */
			"i",
			cParagraph,
			"i",
			{	/* array Properties: 10 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"J[",
				pColor,
				cRGBColor,
				"ŏ̃̕J[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"tHg",
				pFont,
				cText,
				"ŏ̃̕tHg",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"",
				pJustification,
				enumJustification,
				"eLXg̑",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"TCY",
				pPointSize,
				cFixed,
				"ŏ̃̕|CgTCY",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"@R[h",
				pScriptTag,
				cIntlWritingCode,
				"ŏ̃̕XNvgVXeR[hƌR[h",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"X^C",
				pTextStyles,
				cTextStyles,
				"ŏ̃̕eLXgX^C",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"lX^C",
				pUniformStyles,
				cTextStyles,
				"iŜňlȃeLXgX^C",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			/* [4] */
			"eLXg",
			cText,
			"eLXg",
			{	/* array Properties: 9 elements */
				/* [1] */
				"NXE",
				kAESpecialClassProperties,
				cType,
				"NXE",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural,
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"J[",
				pColor,
				cRGBColor,
				"ŏ̃̕J[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"tHg",
				pFont,
				cText,
				"ŏ̃̕tHg",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"TCY",
				pPointSize,
				cFixed,
				"ŏ̃̕|CgTCY",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"@R[h",
				pScriptTag,
				cIntlWritingCode,
				"ŏ̃̕XNvgVXeR[hƌR[h",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"X^C",
				pTextStyles,
				cTextStyles,
				"ŏ̃̕eLXgX^C",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"lX^C",
				pUniformStyles,
				cTextStyles,
				"eLXgŜňlȃeLXgX^C",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			/* [5] */
			"eLXgt[",
			cTextFlow,
			"ÃeLXg",
			{	/* array Properties: 11 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"J[",
				pColor,
				cRGBColor,
				"ŏ̃̕J[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"tHg",
				pFont,
				cText,
				"ŏ̃̕tHg",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"",
				pJustification,
				enumJustification,
				"eLXg̑",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"TCY",
				pPointSize,
				cFixed,
				"ŏ̃̕|CgTCY",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"O",
				pName,
				cIntlText,
				"O",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"@R[h",
				pScriptTag,
				cIntlWritingCode,
				"ŏ̃̕XNvgVXeR[hƌR[h",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"X^C",
				pTextStyles,
				cTextStyles,
				"ŏ̃̕eLXgX^C",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [11] */
				"lX^C",
				pUniformStyles,
				cTextStyles,
				"eLXgŜňlȃeLXgX^C",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			/* [2.5] */
			"eLXgX^C",
			cTextStyles,
			"LȃX^CƖȃX^C̏",
			{	/* array Properties: 2 elements */
				/* [1] */
				"LX^C",
				keyAEOnStyles,
				enumStyle,
				"LȃeLXgX^C",
				reserved,
				listOfItems,
				enumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"X^C",
				keyAEOffStyles,
				enumStyle,
				"ȃeLXgX^C",
				reserved,
				listOfItems,
				enumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
			/* [6] */
			"P",
			cWord,
			"P",
			{	/* array Properties: 9 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"J[",
				pColor,
				cRGBColor,
				"ŏ̃̕J[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"tHg",
				pFont,
				cText,
				"ŏ̃̕tHg",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"TCY",
				pPointSize,
				cFixed,
				"ŏ̃̕|CgTCY",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"@R[h",
				pScriptTag,
				cIntlWritingCode,
				"ŏ̃̕XNvgVXeR[hƌR[h",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"X^C",
				pTextStyles,
				cTextStyles,
				"ŏ̃̕eLXgX^C",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"lX^C",
				pUniformStyles,
				cTextStyles,
				"PŜňlȃeLXgX^C",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 1 elements */
			/* [1] */
			enumJustification,
			{	/* array Enumerators: 4 elements */
				/* [1] */
				"",
				kAELeftJustified,
				"[ɑ",
				/* [2] */
				"E",
				kAERightJustified,
				"E[ɑ",
				/* [3] */
				"",
				kAECentered,
				"ɑ",
				/* [4] */
				"ϓ",
				kAEFullyJustified,
				"E[ő"
			},
			enumStyle,
			{	/* array Enumerators: 4 elements */
				/* [1] */
				"W",
				kAEPlain,
				"W",
				/* [2] */
				"{[h",
				kAEBold,
				"{[h",
				/* [3] */
				"C^bN",
				kAEItalic,
				"C^bN",
				/* [4] */
				"AEgC",
				kAEOutline,
				"AEgC",
				/* [5] */
				"VhE",
				kAEShadow,
				"VhE",
				/* [6] */
				"A_[C",
				kAEUnderline,
				"A_[C",
				/* [7] */
				"t",
				kAESuperscript,
				"t",
				/* [8] */
				"t",
				kAESubscript,
				"t",
				/* [9] */
				"XgCNX[",
				kAEStrikethrough,
				"XgCNX[",
				/* [10] */
				"X[LbvX",
				kAESmallCaps,
				"X[LbvX",
				/* [11] */
				"I[LbvX",
				kAEAllCaps ,
				"I[LbvX",
				/* [12] */
				"S",
				kAELowercase,
				"S",
				/* [13] */
				"RfXg",
				kAECondensed,
				"RfXg",
				/* [14] */
				"GNXph",
				kAEExpanded,
				"GNXph",
				/* [15] */
				"B",
				kAEHidden,
				"B",
			},
		},
		/* [4] */
		"QuickDraw OtBbNXpW",
		"OtBbNX̂߂̊{IȃNX",
		kAEQuickDrawSuite,
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 13 elements */
			/* [1] */
			"~",
			cArc,
			"An arc",
			{	/* array Properties: 13 elements */
				/* [1] */
				"ʊp",
				pArcAngle,
				cFixed,
				"~ʂ̊px",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"E",
				pBounds,
				cQDRectangle,
				"The smallest rectangle that contains the entire arc",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"``",
				pDefinitionRect,
				cQDRectangle,
				"The rectangle that contains the circle or oval used to define the arc",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"hԂJ[",
				pFillColor,
				cRGBColor,
				"hԂɎgJ[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"hԂp^[",
				pFillPattern,
				cPixelMap,
				"hԂɎgp^[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"yJ[",
				pPenColor,
				cRGBColor,
				"ỹJ[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"yp^[",
				pPenPattern,
				cPixelMap,
				"ỹp^[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [11] */
				"y",
				pPenWidth,
				cShortInteger,
				"y̑",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [12] */
				"Jnp",
				pStartAngle,
				cFixed,
				"The angle that defines the start of the arc, in degrees",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [13] */
				"]ʃ[h",
				pTransferMode,
				enumTransferMode,		/*** Should this be defined as an enumeration in the suite? ***/
				"The transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
			/* [2] */
			"`̈",
			cDrawingArea,
			"Container for graphics and supporting information",
			{	/* array Properties: 23 elements */
				/* [1] */
				"wiJ[",
				pBackgroundColor,
				cRGBColor,
				"The color used to fill in unoccupied areas",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"wip^[",
				pBackgroundPattern,
				cPixelMap,
				"The pattern used to fill in unoccupied areas",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"E",
				pBounds,
				cQDRectangle,
				"The rectangle that contains the drawing area",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"J[e[u",
				pColorTable,
				cColorTable,
				"The color table",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"hԂJ[",
				pFillColor,
				cRGBColor,
				"The default fill color used for graphic objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"hԂp^[",
				pFillPattern,
				cPixelMap,
				"The default fill pattern used for graphic objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"}`Xg",
				pGraphicObjects,
				typeObjectSpecifier,
				"The ordered list of graphic objects in the drawing area",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [11] */
				"O",
				pName,
				cIntlText,
				"O",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [12] */
				"ftHgW",
				pNewElementLoc,
				cQDPoint,
				"The default location of each new graphic object",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [13] */
				"yJ[",
				pPenColor,
				cRGBColor,
				"ỹJ[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [14] */
				"yp^[",
				pPenPattern,
				cPixelMap,
				"The pen pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [15] */
				"y",
				pPenWidth,
				cShortInteger,
				"y̑",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [16] */
				"sNZ[",
				pPixelDepth,
				cShortInteger,
				"sNZ̃rbg",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [17] */
				"@R[h",
				pScriptTag,
				cIntlWritingCode,
				"The script system and language of text objects in the drawing area",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,		/*** Registry has this as modifiable ***/	
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [18] */
				"eLXgJ[",
				pTextColor,
				cRGBColor,
				"eLXgIuWFNg̃J[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [19] */
				"eLXgtHg",
				pTextFont,
				cIntlText,
				"eLXgIuWFNg̃tHg",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [20] */
				"eLXgTCY",
				pTextPointSize,
				cFixed,
				"eLXgIuWFNg̃|CgTCY",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [21] */
				"X^C",
				pTextStyles,
				cTextStyles,
				"eLXgIuWFNg̃eLXgX^C",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [22] */
				"]ʃ[h",
				pTransferMode,
				enumTransferMode,
				"]ʃ[h",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [23] */
				"`[h",
				pUpdateOn,
				cBoolean,
				"ύX`ǂ",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 10 elements */
				/* [1] */
				cArc,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cGraphicLine,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cGraphicText,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [4] */
				cGroupedGraphic,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [5] */
				cOval,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [6] */
				cPixelMap,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [7] */
				cPolygon,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [8] */
				cRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [9] */
				cRoundedRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [10] */			/*** The Registry left this out this time. ***/
				cGraphicObject,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
			},
			/* [3] */
			"",
			cGraphicLine,
			"A graphic line",
			{	/* array Properties: 12 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"E",
				pBounds,
				cQDRectangle,
				"The smallest rectangle that contains the entire graphic object",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"j",
				pDashStyle,
				typeDashStyle,
				"The dash style",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"I_",
				pEndPoint,
				cQDPoint,
				"The ending point of the line",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"",
				pLineArrow,
				enumArrows,
				"The arrow style",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"yJ[",
				pPenColor,
				cRGBColor,
				"ỹJ[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"yp^[",
				pPenPattern,
				cPixelMap,
				"The pen pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"y",
				pPenWidth,
				cShortInteger,
				"y̑",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [11] */
				"n_",
				pStartPoint,
				cQDPoint,
				"The starting point of the line",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [12] */
				"]ʃ[h",
				pTransferMode,
				enumTransferMode,
				"The transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
			/* [4] */
			"}`",
			cGraphicObject,
			"A graphic object",
			{	/* array Properties: 5 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"E",
				pBounds,
				cQDRectangle,
				"The smallest rectangle that contains the entire graphic object",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"]ʃ[h",
				pTransferMode,
				enumTransferMode,
				"The transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
			/* [5] */
			"ʐ}`",
			cGraphicShape,
			"A graphic shape",
			{	/* array Properties: 11 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"E",
				pBounds,
				cQDRectangle,
				"The smallest rectangle that contains the entire shape",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"``",
				pDefinitionRect,
				cQDRectangle,
				"The rectangle used to define the shape",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"hԂJ[",
				pFillColor,
				cRGBColor,
				"hԂɎgJ[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"hԂp^[",
				pFillPattern,
				cPixelMap,
				"hԂɎgp^[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"yJ[",
				pPenColor,
				cRGBColor,
				"ỹJ[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"yp^[",
				pPenPattern,
				cPixelMap,
				"The pen pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"y",
				pPenWidth,
				cShortInteger,
				"y̑",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [11] */
				"]ʃ[h",
				pTransferMode,
				enumTransferMode,
				"The transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
			/* [6] */
			"}`eLXg",
			cGraphicText,
			"A series of characters within a drawing area",
			{	/* array Properties: 11 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				plural,
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"E",
				pBounds,
				cQDRectangle,
				"The smallest rectangle that contains the entire text",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"J[",
				pColor,
				cRGBColor,
				"ŏ̃̕J[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"tHg",
				pFont,
				cText,
				"ŏ̃̕tHg",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"TCY",
				pPointSize,
				cFixed,
				"ŏ̃̕|CgTCY",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"@R[h",
				pScriptTag,
				cIntlWritingCode,
				"XNvgVXeR[hƌR[h",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"X^C",
				pTextStyles,
				cTextStyles,
				"ŏ̃̕eLXgX^C",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"]ʃ[h",
				pTransferMode,
				enumTransferMode,
				"The transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [11] */
				"lX^C",
				pUniformStyles,
				cTextStyles,
				"The text styles that are uniform throughout the text",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				}
			},
			/* [7] */
			"}`Wc",
			cGroupedGraphic,
			"Group of graphics",
			{	/* array Properties: 7 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"E",
				pBounds,
				cQDRectangle,
				"The smallest rectangle that contains the entire graphic object",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"}`Xg",
				pGraphicObjects,
				typeObjectSpecifier,
				"The ordered list of graphic objects in the drawing area",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"O",
				pName,
				cIntlText,
				"O",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"]ʃ[h",
				pTransferMode,
				enumTransferMode,
				"The transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 10 elements */
				/* [1] */
				cArc,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cGraphicLine,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cGraphicText,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [4] */
				cGroupedGraphic,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [5] */
				cOval,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [6] */
				cPixelMap,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [7] */
				cPolygon,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [8] */
				cRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [9] */
				cRoundedRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [10] */
				cGraphicObject,			/*** The Registry left this out this time. ***/
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			/* [8] */
			"ȉ~",
			cOval,
			"An oval",
			{	/* array Properties: 11 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"E",
				pBounds,
				cQDRectangle,
				"The smallest rectangle that contains the entire oval",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"``",
				pDefinitionRect,
				cQDRectangle,
				"The rectangle used to define the oval",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"hԂJ[",
				pFillColor,
				cRGBColor,
				"hԂɎgJ[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"hԂp^[",
				pFillPattern,
				cPixelMap,
				"hԂɎgp^[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"yJ[",
				pPenColor,
				cRGBColor,
				"ỹJ[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"yp^[",
				pPenPattern,
				cPixelMap,
				"The pen pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"y",
				pPenWidth,
				cShortInteger,
				"y̑",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [11] */
				"]ʃ[h",
				pTransferMode,
				enumTransferMode,
				"The transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
			/* [9] */
			"sNZ",
			cPixel,
			"A pixel",
			{	/* array Properties: 4 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"J[",
				pColor,
				cRGBColor,
				"IuWFNg̃J[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
			/* [10] */
			"sNZ}bv",
			cPixelMap,
			"A pixel map",
			{	/* array Properties: 5 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"E",
				pBounds,
				cQDRectangle,
				"The smallest rectangle that contains the pixel map",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"]ʃ[h",
				pTransferMode,
				enumTransferMode,
				"The transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cPixel,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
				}
			},
			/* [11] */
			"p`",
			cPolygon,
			"A polygon",
			{	/* array Properties: 12 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"E",
				pBounds,
				cQDRectangle,
				"The smallest rectangle that contains the entire polygon",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"``",
				pDefinitionRect,
				cQDRectangle,
				"The rectangle used to define the polygon",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"hԂJ[",
				pFillColor,
				cRGBColor,
				"hԂɎgJ[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"hԂp^[",
				pFillPattern,
				cPixelMap,
				"hԂɎgp^[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"yJ[",
				pPenColor,
				cRGBColor,
				"ỹJ[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"yp^[",
				pPenPattern,
				cPixelMap,
				"The pen pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"y",
				pPenWidth,
				cShortInteger,
				"y̑",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [11] */
				"_Xg",
				pPointList,
				typeQDPoint,
				"The list of points that define the polygon",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [12] */
				"]ʃ[h",
				pTransferMode,
				enumTransferMode,
				"The transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
			/* [12] */
			"`",
			cRectangle,
			"A rectangle",
			{	/* array Properties: 11 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"E",
				pBounds,
				cQDRectangle,
				"The rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"``",
				pDefinitionRect,
				cQDRectangle,
				"The upper-left and lower-right points that define the rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"hԂJ[",
				pFillColor,
				cRGBColor,
				"hԂɎgJ[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"hԂp^[",
				pFillPattern,
				cPixelMap,
				"hԂɎgp^[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"yJ[",
				pPenColor,
				cRGBColor,
				"ỹJ[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"yp^[",
				pPenPattern,
				cPixelMap,
				"ỹp^[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"y",
				pPenWidth,
				cShortInteger,
				"y̑",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [11] */
				"]ʃ[h",
				pTransferMode,
				enumTransferMode,
				"The transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
			/* [13] */
			"pۋ`",
			cRoundedRectangle,
			"A rounded rectangle",
			{	/* array Properties: 13 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"E",
				pBounds,
				cQDRectangle,
				"The rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"pۍ",
				pCornerCurveHeight,
				cShortInteger,
				"The height of the oval used to define the shape of the rounded corners",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"pە",
				pCornerCurveWidth,
				cShortInteger,
				"The width of the oval used to define the shape of the rounded corners",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"``",
				pDefinitionRect,
				cQDRectangle,
				"The upper-left and lower-right points that define the rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"hԂJ[",
				pFillColor,
				cRGBColor,
				"hԂɎgJ[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"hԂp^[",
				pFillPattern,
				cPixelMap,
				"hԂɎgp^[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"yJ[",
				pPenColor,
				cRGBColor,
				"ỹJ[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [11] */
				"yp^[",
				pPenPattern,
				cPixelMap,
				"ỹp^[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [12] */
				"y",
				pPenWidth,
				cShortInteger,
				"y̑",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [13] */
				"]ʃ[h",
				pTransferMode,
				enumTransferMode,
				"The transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 2 elements */
			/* [1] */
			enumTransferMode,
			{	/* array Enumerators: 3 elements */
				/* [1] */
				"Rs[sNZ",
				kAEQDCopy,
				"Copy Pixels",
				/* [2] */
				"Rs[sNZȂ",
				kAEQDNotCopy,
				"",
				/* [3] */
				"sNZ",
				kAEQDOr,
				"",
				/* [4] */
				"sNZȂ",
				kAEQDNotOr,
				"",
				/* [5] */
				"sNZ",
				kAEQDBic,
				"",
				/* [6] */
				"sNZ",
				kAEQDNotBic,
				"",
				/* [7] */
				"sNZ",
				kAEQDXor,
				"",
				/* [8] */
				"sNZȂ",
				kAEQDNotXor,
				"",
				/* [9] */
				"AhI[o[sNZ",
				kAEQDAddOver,
				"",
				/* [10] */
				"AhssNZ",
				kAEQDAddPin,
				"",
				/* [11] */
				"TuI[o[sNZ",
				kAEQDSubOver,
				"",
				/* [12] */
				"TussNZ",
				kAEQDSubPin,
				"",
				/* [13] */
				"Ah}bNXsNZ",
				kAEQDAdMax,
				"",
				/* [14] */
				"Ah~sNZ",
				kAEQDAdMin,
				"",
				/* [15] */
				"uhsNZ",
				kAEQDBlend,
				"",
			},
			/* [2] */
			enumArrows,
			{	/* array Enumerators: 4 elements */
				/* [1] */
				"Ȃ",
				kAENoArrow ,
				"No arrow on line",
				/* [2] */
				"n_",
				kAEArrowAtStart ,
				"Arrow at start of line",
				/* [3] */
				"I_",
				kAEArrowAtEnd ,
				"Arrow at end of line",
				/* [4] */
				"[",
				kAEArrowBothEnds ,
				"Arrow at both the start and the end of the line"
			}
		},
		/* [5] */
		"QuickDraw OtBbNXǉpW",
		"OtBbNIuWFNg̕ϊsCxg",
		kAEQDSupplementalSuite,
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 2 elements */
			/* [1] */
			"`̈",
			cDrawingArea,
			"Container for graphics and supporting information",
			{	/* array Properties: 26 elements */
				/* [1] */
				"wiJ[",
				pBackgroundColor,
				cRGBColor,
				"The color used to fill in unoccupied areas",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"wip^[",
				pBackgroundPattern,
				cPixelMap,
				"The pattern used to fill in unoccupied areas",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"E",
				pBounds,
				cQDRectangle,
				"The rectangle that contains the drawing area",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"J[e[u",
				pColorTable,
				cColorTable,
				"The color table",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"hԂJ[",
				pFillColor,
				cRGBColor,
				"The default fill color used for graphic objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"hԂp^[",
				pFillPattern,
				cPixelMap,
				"The default fill pattern used for graphic objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"}`Xg",
				pGraphicObjects,
				typeObjectSpecifier,
				"The ordered list of graphic objects in the drawing area",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [11] */
				"O",
				pName,
				cIntlText,
				"O",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [12] */
				"ftHgW",
				pNewElementLoc,
				cQDPoint,
				"The default location of each new graphic object",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [13] */
				"yJ[",
				pPenColor,
				cRGBColor,
				"ỹJ[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [14] */
				"yp^[",
				pPenPattern,
				cPixelMap,
				"ỹp^[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [15] */
				"y",
				pPenWidth,
				cShortInteger,
				"y̑",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [16] */
				"sNZ[",
				pPixelDepth,
				cShortInteger,
				"sNZ̃rbg",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [17] */
				"]",
				pRotation,
				cRotation,
				"The default rotation for objects in the drawing area",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,	
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [18] */
				"XP[",
				pScale,
				cFixed,
				"The default scaling for objects in the drawing area",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [19] */
				"@R[h",
				pScriptTag,
				cIntlWritingCode,
				"The script system and language of text objects in the drawing area",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,		/*** Registry has this as modifiable ***/	
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [20] */
				"eLXgJ[",
				pTextColor,
				cRGBColor,
				"eLXgIuWFNg̃J[",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [21] */
				"eLXgtHg",
				pTextFont,
				cIntlText,
				"eLXgIuWFNg̃tHg",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [22] */
				"eLXgTCY",
				pTextPointSize,
				cFixed,
				"eLXgIuWFNg̃|CgTCY",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [23] */
				"X^C",
				pTextStyles,
				cTextStyles,
				"eLXgIuWFNg̃eLXgX^C",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [24] */
				"]ʃ[h",
				pTransferMode,
				enumTransferMode,
				"]ʃ[h",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [25] */
				"Wϊ",
				pTranslation,
				cQDPoint,
				"The default repositioning for objects in the drawing area",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [26] */
				"`[h",
				pUpdateOn,
				cBoolean,
				"ύX`ǂ",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 10 elements */
				/* [1] */
				cArc,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cGraphicLine,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cGraphicText,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [4] */
				cGroupedGraphic,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [5] */
				cOval,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [6] */
				cPixelMap,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [7] */
				cPolygon,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [8] */
				cRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [9] */
				cRoundedRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [10] */			/*** The Registry left this out this time. ***/
				cGraphicObject,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
			},
			/* [2] */
			"}`Wc",
			cGroupedGraphic,
			"Group of graphics",
			{	/* array Properties: 10 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"E",
				pBounds,
				cQDRectangle,
				"The smallest rectangle that contains the entire graphic object",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"}`Xg",
				pGraphicObjects,
				typeObjectSpecifier,
				"The ordered list of graphic objects in the drawing area",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"O",
				pName,
				cIntlText,
				"O",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"]",
				pRotation,
				cRotation,
				"The rotation",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,	
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [8] */
				"XP[",
				pScale,
				cFixed,
				"The scaling",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [9] */
				"]ʃ[h",
				pTransferMode,
				enumTransferMode,
				"The transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [10] */
				"Wϊ",
				pTranslation,
				cQDPoint,
				"The translation",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 10 elements */
				/* [1] */
				cArc,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cGraphicLine,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cGraphicText,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [4] */
				cGroupedGraphic,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [5] */
				cOval,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [6] */
				cPixelMap,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [7] */
				cPolygon,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [8] */
				cRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [9] */
				cRoundedRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [10] */
				cGraphicObject,			/*** The Registry left this out this time. ***/
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		},
		/* [6] */
		"\vZpW",
		"\舵߂̃NX",
		kAETableSuite,
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 4 elements */
			/* [1] */
			"Z",
			cCell,
			"A cell",
			{	/* array Properties: 5 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"vZ",
				pFormula,
				cText,
				"The formula of the cell",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"ی샂[h",
				pProtection,
				enumProtection,
				"Indicates whether value or formula in the cell can be changed",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 0 elements */
			},
			/* [2] */
			"",
			cColumn,
			"A column",
			{	/* array Properties: 5 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"O",
				pName,
				cIntlText,
				"O",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"ی샂[h",
				pProtection,
				enumProtection,
				"Indicates whether the formulas of the cells in the column can be changed",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cCell,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			/* [3] */
			"s",
			cRow,
			"A row",
			{	/* array Properties: 5 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"O",
				pName,
				cIntlText,
				"O",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"ی샂[h",
				pProtection,
				enumProtection,
				"Indicates whether the formulas of the cells in the row can be changed",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cCell,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			/* [4] */
			"\\",
			cTable,
			"A table",
			{	/* array Properties: 5 elements */
				/* [1] */
				"xXg^Cv",
				pBestType,
				cType,
				"œKȃfBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"NX",
				pClass,
				cType,
				"NX",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"ftHg^Cv",
				pDefaultType,
				cType,
				"ftHg̃fBXNv^^Cv",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"O",
				pName,
				cIntlText,
				"O",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"ی샂[h",
				pProtection,
				enumProtection,
				"Indicates whether the formulas of the cells in the table can be changed",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved,
				reserved,
				reserved,
				reserved,
				reserved,
			},
			{	/* array Elements: 3 elements */
				/* [1] */
				cCell,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cColumn,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cRow,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 1 elements */
			/* [1] */
			enumProtection,
			{	/* array Enumerators: 3 elements */
				/* [1] */
				"ݕs",
				kAENonmodifiable ,
				"Can't change values or formulas",
				/* [2] */
				"vZی",
				kAEFormulaProtect ,
				"Can changes values but not formulas",
				/* [3] */
				"ǂݏ\\",
				kAEModifiable ,
				"Can change values and formulas"
			}
		},
	}
};

